/* =============================================================================
  RESET
============================================================================= */

article, aside, details, figcaption, figure,
footer, header, hgroup, menu, nav, section {
  display: block;
}

ol, ul {
  list-style: none;
}

blockquote, q {
  quotes: none;
}

blockquote:before, blockquote:after,
q:before, q:after {
  content: '';
  content: none;
}

table {
  border-collapse: collapse;
  border-spacing: 0;
}

/* =============================================================================
  BOX SIZING & CLEARFIX
============================================================================= */
*,
*::before,
*::after {
  -moz-box-sizing: border-box;
       box-sizing: border-box;
}

.clearfix::after {
  content: "";
  display: table;
  clear: both;
}


/* =============================================================================
  LAYOUT
============================================================================= */
/* main layout */
.wrapper {
  width: 100%;
  margin: 0 auto;
}

main {
  display: block;
  background-color: #fff;
  padding: 20px 0;
}


/* primary header */
.header__primary {
  padding: 10px 10px 10px 30px;
}

.header__primary--logo {
  float: left;
  margin-left: -20px;
  width: 20px;
  height: 20px;
}
.header__primary--logo img {
  display: block;
  margin: 0;
}

/* primary nav */
.nav__primary {
  float: right;
  width: 100%;
  text-align: right;
}

.nav__primary--link {
  display: inline-block;
  vertical-align: middle;
  position: relative;
  margin: 0;
  padding: 0;
  width: 20px;
  height: 20px;
}

.nav__primary--link.tut {
  background-position: 0 0;
}
.nav__primary--link.prev {
  background-position: -20px 0;
}
.nav__primary--link.next {
  background-position: -40px 0;
}
.nav__primary--link.download {
  background-position: -60px 0;
}
.nav__primary--link.archive {
  background-position: -80px 0;
}

.nav__primary--link:hover:after {
  position: absolute;
  top: 100%;
  right: 0;
  z-index: 20px;
  content: attr(data-title);
  padding: 2px 5px;
  background-color: #28aadc;
  color: #fff;
  font-size: 10px;
  white-space: nowrap;
  border-radius: 3px;
}

/* =============================================================================
  FUSION ADS
============================================================================= */
#fusionads {
  position: fixed;
  top: 80px;
  right: 10px;
  z-index: 20;
  padding: 10px;
  background: rgba(255, 255, 255, 0.95);
  font-size: 12px;
  line-height: 1.2;
  box-shadow: -2px 2px 4px rgba(0, 0, 0, 0.1);
}

#fusionads .fusion-wrap {
  display: block;
  margin: 0 auto 10px auto;
  width: 130px;
}

#fusionads a.fusion-text {
  display: block;
  color: #787878;
}

#fusionads a.fusion-img {
  display: block;
  margin-bottom: 10px;
  width: 130px;
  height: 100px;
  background-color: #fff;
}

#fusionads a.fusion-img img {
  display: block;
  margin: 0 0 10px 0;
}

#fusionads a.fusion-poweredby {
  color: #28aadc;
}
#fusionads a.fusion-poweredby:hover {
  color: #166888;
}
